export interface UserProps {
  password: string;
  phone_number: string;
  role: UserRoles;
  email: string;
  fullname: string;
}

export interface CreateUserProps {
  email: string;
  phone_number: string;
  password: string;
  fullname: string;
}

export interface UpdateUserProps {
  fullname: string;
  email: string;
  phone_number: string;
}

export enum UserRoles {
  admin = 'admin',
  user = 'user'
}